## GstVaapiDecoderVC1

GstVaapiDecoderVC1 — VC-1 decoder

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_vc1_new ()

## Types and Values

| GstVaapiDecoderVC1

## Object Hierarchy

## Description

## Functions

### gst_vaapi_decoder_vc1_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_vc1_new (GstVaapiDisplay *display,
                               GstCaps *caps);

Creates a new GstVaapiDecoder for VC-1 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderVC1

    typedef struct _GstVaapiDecoderVC1 GstVaapiDecoderVC1;

A decoder based on VC1.